| API Docs for SAX and DOM |

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# DOMImplementationLS Class Reference

Inheritance diagram for DOMImplementationLS:

[legend]
List of all members.

## Public Types

Public constants
enum | { MODE_SYNCHRONOUS = 1, MODE_ASYNCHRONOUS = 2 }
| Create a synchronous or an asynchronous `DOMBuilder`. More...

## Public Methods

Destructor
virtual | ~DOMImplementationLS ()
| Destructor. More...
Functions introduced in DOM Level 3
virtual DOMBuilder * | createDOMBuilder (const short mode, const XMLCh *const schemaType, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager, XMLGrammarPool *const gramPool=0)=0
| Create a new DOMBuilder. More...
virtual DOMWriter * | createDOMWriter (MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)=0
| Create a new DOMWriter. More...
virtual DOMInputSource * | createDOMInputSource ()=0
| Create a new "empty" DOMInputSource. More...

## Protected Methods

Hidden constructors
| DOMImplementationLS ()

## Detailed Description

`DOMImplementationLS` contains the factory methods for creating objects that implement the `DOMBuilder` (parser) and `DOMWriter` (serializer) interfaces.

An object that implements DOMImplementationLS is obtained by doing a binding specific cast from DOMImplementation to DOMImplementationLS. Implementations supporting the Load and Save feature must implement the DOMImplementationLS interface on whatever object implements the DOMImplementation interface.

Since:
  DOM Level 3

## Member Enumeration Documentation

anonymous enum

Create a synchronous or an asynchronous `DOMBuilder`.

See also:
  createDOMBuilder(const short mode, const XMLCh* const schemaType)

Since:
  DOM Level 3

Enumeration values:

  MODE_SYNCHRONOUS |
  MODE_ASYNCHRONOUS |

## Constructor & Destructor Documentation

DOMImplementationLS::DOMImplementationLS | ( |  | ) | `[protected]`

virtual DOMImplementationLS::~DOMImplementationLS | ( |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

virtual DOMBuilder* DOMImplementationLS::createDOMBuilder | ( | const short | mode,
|  | const XMLCh *const | schemaType,
|  | MemoryManager *const | manager = XMLPlatformUtils::fgMemoryManager,
|  | XMLGrammarPool *const | gramPool = 0
| ) | `[pure virtual]`

Create a new DOMBuilder.

The newly constructed parser may then be configured by means of its setFeature method, and used to parse documents by means of its parse method.

"Experimental - subject to change"

Parameters:

  mode | The mode argument is either `MODE_SYNCHRONOUS` or `MODE_ASYNCHRONOUS`, if mode is `MODE_SYNCHRONOUS` then the `DOMBuilder` that is created will operate in synchronous mode, if it's `MODE_ASYNCHRONOUS` then the `DOMBuilder` that is created will operate in asynchronous mode.
  schemaType | An absolute URI representing the type of the schema language used during the load of a DOMDocument using the newly created `DOMBuilder`. Note that no lexical checking is done on the absolute URI. In order to create a DOMBuilder for any kind of schema types (i.e. the DOMBuilder will be free to use any schema found), use the value `null`.
  manager | Pointer to the memory manager to be used to allocate objects.
  gramPool | The collection of cached grammers.

Returns:
  The newly created `DOMBuilder`object. This `DOMBuilder` is either synchronous or asynchronous depending on the value of the `mode`argument.````

Exceptions:

  DOMException | NOT_SUPPORTED_ERR: Raised if the requested mode or schema type is not supported.

See also:
  DOMBuilder

Since:
  DOM Level 3

virtual DOMInputSource* DOMImplementationLS::createDOMInputSource | ( |  | ) | `[pure virtual]`

Create a new "empty" DOMInputSource.

"Experimental - subject to change"

Returns:
  The newly created `DOMInputSource`object.``

Exceptions:

  DOMException | NOT_SUPPORTED_ERR: Raised if this function is not supported by implementation

See also:
  DOMInputSource

Since:
  DOM Level 3

virtual DOMWriter* DOMImplementationLS::createDOMWriter | ( | MemoryManager *const | manager = XMLPlatformUtils::fgMemoryManager | ) | `[pure virtual]`

Create a new DOMWriter.

DOMWriters are used to serialize a DOM tree back into an XML document.

"Experimental - subject to change"

Returns:
  The newly created `DOMWriter`object.``

See also:
  DOMWriter

Since:
  DOM Level 3

The documentation for this class was generated from the following file:

- DOMImplementationLS.hpp

Copyright © 2004 The Apache Software Foundation. All Rights Reserved.